# Uses of Interface
org.lwjgl.opencl.api.Filter

Packages that use Filter
Package
Description
org.lwjgl.opencl

## Uses of Filter in org.lwjgl.opencl

Methods in org.lwjgl.opencl with parameters of type Filter
Modifier and Type
Method
Description
`List<CLDevice>`
CLPlatform.`getDevices(int device_type, Filter<CLDevice> filter)`
Returns a list of the available devices on this platform that match the specified type, filtered by the specified filter.
`static List<CLPlatform>`
CLPlatform.`getPlatforms(Filter<CLPlatform> filter)`
Returns a list of the available platforms, filtered by the specified filter.
`List<CLImageFormat>`
CLContext.`getSupportedImageFormats(long flags, int image_type, Filter<CLImageFormat> filter)`